%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%        Animation of pitching and ballistic phase        %%%%%%%%
% Need vector of time, joint position and velocity for x/y-axis to run  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

set(0, 'DefaultFigurePosition', [50 50 1000 600]);
figure
ylim([-0.2,1.7])
xlim([-1.2,3])
xlabel('distance[m]')
ylabel('height[m]')
title('Pitching simulation')
grid on
hold on

line([-2,10],[0,0],'LineWidth',2,'Color',[0,0,0])
line([0,0],[-2,4],'Linewidth',1,'Color',[0,0,0])


ball_radius = 0.035;
j = 1;
% Pitching phase
for i = 1:20:length(t_d)
    % Delete previous link-positions
     if j ~= 5 && i>1
        delete(link0)
        delete(link1)
        delete(link2)
        delete(link3)
        delete(ball)
    end
    
    if j == 5
        j=0;
    end
    
    x_coord_link0 = [0.02,              -0.02              -0.01,                                             0.01];
    y_coord_link0 = [0,                 0,                 l0,                                                l0];
    
    x_coord_link1 = [-0.01,             0.01,              l1*cos(q1_d(i))+0.01*sin(q1_d(i)),                 l1*cos(q1_d(i))-0.01*sin(q1_d(i))];
    y_coord_link1 = [l0,                l0,                l0+l1*sin(q1_d(i))-0.01*cos(q1_d(i)),              l0+l1*sin(q1_d(i))+0.01*cos(q1_d(i))];
    
    x_coord_link2 = [x_coord_link1(3),  x_coord_link1(4),  x_coord_link1(4)+l2*cos(q1_d(i)+q2_d(i)),          x_coord_link1(3)+l2*cos(q1_d(i)+q2_d(i))];
    y_coord_link2 = [y_coord_link1(3),  y_coord_link1(4),  y_coord_link1(3)+l2*sin(q1_d(i)+q2_d(i)),          y_coord_link1(4)+l2*sin(q1_d(i)+q2_d(i))];
    
    x_coord_link3 = [x_coord_link2(3),  x_coord_link2(4),  x_coord_link2(4)+l3*cos(q1_d(i)+q2_d(i)+q3_d(i)),  x_coord_link2(3)+l3*cos(q1_d(i)+q2_d(i)+q3_d(i))];
    y_coord_link3 = [y_coord_link2(3),  y_coord_link2(4),  y_coord_link2(4)+l3*sin(q1_d(i)+q2_d(i)+q3_d(i)),  y_coord_link2(3)+l3*sin(q1_d(i)+q2_d(i)+q3_d(i))];
    
    xball_center = x_coord_link3(4)+0.02*sin(q1_d(i));
    yball_center = y_coord_link3(4)-0.02*cos(q1_d(i));
    
    x_ball = ball_radius*cos(0:0.01:2*pi)+xball_center;
    y_ball = ball_radius*sin(0:0.01:2*pi)+yball_center;
    
    link0 = fill(x_coord_link0,y_coord_link0,'r');
    link1 = fill(x_coord_link1,y_coord_link1,'b');
    link2 = fill(x_coord_link2,y_coord_link2,'b');
    link3 = fill(x_coord_link3,y_coord_link3,'b');
    ball = fill(x_ball,y_ball,'g');
    
    pause(0.0000001)
    j = j+1;
end

xball_center_flight = xball_center;
yball_center_flight = yball_center;
j = 1;
% Ballistic phase of ball
for i = 0:0.007:1.5;
    if j ~= 20
        delete(ball)
    end
    
    if j == 20
        j=0;
    end
    
    if yball_center_flight > ball_radius
        xball_center_flight = x_vel*i+xball_center;
        yball_center_flight = y_vel*i-9.81/2*i^2+yball_center;
        
        x_ball = ball_radius*cos(0:0.01:2*pi)+xball_center_flight;
        y_ball = ball_radius*sin(0:0.01:2*pi)+yball_center_flight;
    end
    ball = fill(x_ball,y_ball,'g');
    j=j+1;
    pause(0.0000001)
end