function alpha = al3(theta,z)
% Function for making alpha of the reduced dynamics.
% Input "theta" is vector interval for pitch motion or single value.
% Input "z" is vector of control-points for the virtual holonomic
% constraints.

global I3z
global lmx3 lmy3 lmz3
global l1 l2 l3
global m3 psi

[Phi1,Phi2] = phi(theta, z);
[DPhi1,DPhi2] = Dphi(theta, z);

alpha = -m3.*lmz3.*(l3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3).*DPhi1+(sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3+cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+l3.^2.*m3+0.2e1.*l3.*lmx3.*m3+lmx3.^2.*m3+lmy3.^2.*m3+I3z).*DPhi2+(l3.^2.*m3+0.2e1.*l3.*lmx3.*m3+lmx3.^2.*m3+lmy3.^2.*m3+I3z).*(-(0.1e1+l1.*sin(Phi1-psi).*DPhi1-l2.*sin(Phi1+Phi2-psi).*(-DPhi1-DPhi2))./l3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.1e1./0.2e1)-DPhi1-DPhi2);
