function ga = gam3(theta,z)
% Function for making gamma of the reduced dynamics.
% Input "theta" is vector interval for pitch motion or single value.
% Input "z" is vector of control-points for the virtual holonomic
% constraints.

global lmx3 lmy3 
global l1 l2 l3
global m3 kspr psi

[Phi1,Phi2] = phi(theta,z);

ga = -0.981e1.*m3.*cos(-acos((l1.*cos(Phi1-psi)+l2.*cos(Phi1+Phi2-psi)-theta)./l3)+psi).*lmx3+0.981e1.*m3.*sin(-acos((l1.*cos(Phi1-psi)+l2.*cos(Phi1+Phi2-psi)-theta)./l3)+psi).*lmy3-0.981e1.*m3.*l3.*cos(-acos((l1.*cos(Phi1-psi)+l2.*cos(Phi1+Phi2-psi)-theta)./l3)+psi)+0.3141592654e1.*kspr-kspr.*acos((l1.*cos(Phi1-psi)+l2.*cos(Phi1+Phi2-psi)-theta)./l3)-kspr.*Phi1-kspr.*Phi2+kspr.*psi;
