function [q,fval,exitflag,output,lambda,grad,hessian]= optim(q0,opts)
% Nested version of optimization function. Runs about 30% faster.
% Input "q0" is the vector of scalar parameters to be used in the search.
% Input "opts" is options to be used for the fmincon.

global lb ub
qLast = [];
obj = [];
c = [];
ceq = [];

fun = @obj_func;
cfun = @constraints;

[q,fval,exitflag,output,lambda,grad,hessian] = fmincon(fun,q0,[],[],[],[],lb,ub,cfun,opts);

    function y = obj_func(q)
        if ~isequal(q,qLast)
            [obj,c,ceq] = obj_func_nonLinCon(q);
            qLast = q;
        end
        y = -obj(end);
    end

    function [y1,y2] = constraints(q)
        if ~isequal(q,qLast)
            [obj,c,ceq] = obj_func_nonLinCon(q);
            qLast = q;
        end
        y1= c;
        y2 = ceq;
    end
end