function[Phi1,Phi2] = phi(theta,z)
% Function for making Phi(theta)
% Input "theta" is vector interval for pitch motion or single value.
% Input "z" is vector of control-points for the virtual holonomic
% constraints.

global theta_b theta_e coeff_degree

a = z(1:coeff_degree+1);
b = z(coeff_degree+2:end);

x = theta;
xb = theta_b;
xe = theta_e;

switch coeff_degree
    case 4
        Phi1 = a(1).*(1-(x-xb)./(xe-xb)).^4+4.*a(2).*(x-xb)./(xe-xb).*(1-(x-xb)./(xe-xb)).^3+6.*a(3).*(x-xb).^2./(xe-xb).^2.*(1-(x-xb)./(xe-xb)).^2+4.*a(4).*(x-xb).^3./(xe-xb).^3.*(1-(x-xb)./(xe-xb))+a(5).*(x-xb).^4./(xe-xb).^4;
        Phi2 = b(1).*(1-(x-xb)./(xe-xb)).^4+4.*b(2).*(x-xb)./(xe-xb).*(1-(x-xb)./(xe-xb)).^3+6.*b(3).*(x-xb).^2./(xe-xb).^2.*(1-(x-xb)./(xe-xb)).^2+4.*b(4).*(x-xb).^3./(xe-xb).^3.*(1-(x-xb)./(xe-xb))+b(5).*(x-xb).^4./(xe-xb).^4;
    case 5
        Phi1 = a(1).*(1-(x-xb)./(xe-xb)).^5+5.*a(2).*(x-xb)./(xe-xb).*(1-(x-xb)./(xe-xb)).^4+10.*a(3).*(x-xb).^2./(xe-xb).^2.*(1-(x-xb)./(xe-xb)).^3+10.*a(4).*(x-xb).^3./(xe-xb).^3.*(1-(x-xb)./(xe-xb)).^2+5.*a(5).*(x-xb).^4./(xe-xb).^4.*(1-(x-xb)./(xe-xb))+a(6).*(x-xb).^5./(xe-xb).^5;
        Phi2 = b(1).*(1-(x-xb)./(xe-xb)).^5+5.*b(2).*(x-xb)./(xe-xb).*(1-(x-xb)./(xe-xb)).^4+10.*b(3).*(x-xb).^2./(xe-xb).^2.*(1-(x-xb)./(xe-xb)).^3+10.*b(4).*(x-xb).^3./(xe-xb).^3.*(1-(x-xb)./(xe-xb)).^2+5.*b(5).*(x-xb).^4./(xe-xb).^4.*(1-(x-xb)./(xe-xb))+b(6).*(x-xb).^5./(xe-xb).^5;
    case 6
        Phi1 = a(1).*(1-(x-xb)./(xe-xb)).^6+6.*a(2).*(x-xb)./(xe-xb).*(1-(x-xb)./(xe-xb)).^5+15.*a(3).*(x-xb).^2./(xe-xb).^2.*(1-(x-xb)./(xe-xb)).^4+20.*a(4).*(x-xb).^3./(xe-xb).^3.*(1-(x-xb)./(xe-xb)).^3+15.*a(5).*(x-xb).^4./(xe-xb).^4.*(1-(x-xb)./(xe-xb)).^2+6.*a(6).*(x-xb).^5./(xe-xb).^5.*(1-(x-xb)./(xe-xb))+a(7).*(x-xb).^6./(xe-xb).^6;
        Phi2 = b(1).*(1-(x-xb)./(xe-xb)).^6+6.*b(2).*(x-xb)./(xe-xb).*(1-(x-xb)./(xe-xb)).^5+15.*b(3).*(x-xb).^2./(xe-xb).^2.*(1-(x-xb)./(xe-xb)).^4+20.*b(4).*(x-xb).^3./(xe-xb).^3.*(1-(x-xb)./(xe-xb)).^3+15.*b(5).*(x-xb).^4./(xe-xb).^4.*(1-(x-xb)./(xe-xb)).^2+6.*b(6).*(x-xb).^5./(xe-xb).^5.*(1-(x-xb)./(xe-xb))+b(7).*(x-xb).^6./(xe-xb).^6;
    case 7
        Phi1 = a(1).*(1-(x-xb)./(xe-xb)).^7+7.*a(2).*(x-xb)./(xe-xb).*(1-(x-xb)./(xe-xb)).^6+21.*a(3).*(x-xb).^2./(xe-xb).^2.*(1-(x-xb)./(xe-xb)).^5+35.*a(4).*(x-xb).^3./(xe-xb).^3.*(1-(x-xb)./(xe-xb)).^4+35.*a(5).*(x-xb).^4./(xe-xb).^4.*(1-(x-xb)./(xe-xb)).^3+21.*a(6).*(x-xb).^5./(xe-xb).^5.*(1-(x-xb)./(xe-xb)).^2+7.*a(7).*(x-xb).^6./(xe-xb).^6.*(1-(x-xb)./(xe-xb))+a(8).*(x-xb).^7./(xe-xb).^7;
        Phi2 = b(1).*(1-(x-xb)./(xe-xb)).^7+7.*b(2).*(x-xb)./(xe-xb).*(1-(x-xb)./(xe-xb)).^6+21.*b(3).*(x-xb).^2./(xe-xb).^2.*(1-(x-xb)./(xe-xb)).^5+35.*b(4).*(x-xb).^3./(xe-xb).^3.*(1-(x-xb)./(xe-xb)).^4+35.*b(5).*(x-xb).^4./(xe-xb).^4.*(1-(x-xb)./(xe-xb)).^3+21.*b(6).*(x-xb).^5./(xe-xb).^5.*(1-(x-xb)./(xe-xb)).^2+7.*b(7).*(x-xb).^6./(xe-xb).^6.*(1-(x-xb)./(xe-xb))+b(8).*(x-xb).^7./(xe-xb).^7;
    case 8
        Phi1 = a(1).*(1-(x-xb)./(xe-xb)).^8+8.*a(2).*(x-xb)./(xe-xb).*(1-(x-xb)./(xe-xb)).^7+28.*a(3).*(x-xb).^2./(xe-xb).^2.*(1-(x-xb)./(xe-xb)).^6+56.*a(4).*(x-xb).^3./(xe-xb).^3.*(1-(x-xb)./(xe-xb)).^5+70.*a(5).*(x-xb).^4./(xe-xb).^4.*(1-(x-xb)./(xe-xb)).^4+56.*a(6).*(x-xb).^5./(xe-xb).^5.*(1-(x-xb)./(xe-xb)).^3+28.*a(7).*(x-xb).^6./(xe-xb).^6.*(1-(x-xb)./(xe-xb)).^2+8.*a(8).*(x-xb).^7./(xe-xb).^7.*(1-(x-xb)./(xe-xb))+a(9).*(x-xb).^8./(xe-xb).^8;
        Phi2 = b(1).*(1-(x-xb)./(xe-xb)).^8+8.*b(2).*(x-xb)./(xe-xb).*(1-(x-xb)./(xe-xb)).^7+28.*b(3).*(x-xb).^2./(xe-xb).^2.*(1-(x-xb)./(xe-xb)).^6+56.*b(4).*(x-xb).^3./(xe-xb).^3.*(1-(x-xb)./(xe-xb)).^5+70.*b(5).*(x-xb).^4./(xe-xb).^4.*(1-(x-xb)./(xe-xb)).^4+56.*b(6).*(x-xb).^5./(xe-xb).^5.*(1-(x-xb)./(xe-xb)).^3+28.*b(7).*(x-xb).^6./(xe-xb).^6.*(1-(x-xb)./(xe-xb)).^2+8.*b(8).*(x-xb).^7./(xe-xb).^7.*(1-(x-xb)./(xe-xb))+b(9).*(x-xb).^8./(xe-xb).^8;
end