function theta_dot_sqrd_vec = theta_dot_sqrd(z)
% theta-dot-sqrd vector (for whole interval of theta)
% Input "theta" is vector interval for pitch motion or single value.
% Input "z" is vector of control-points for the virtual holonomic
% constraints.

global theta_b theta_e samples

theta_interval = linspace(theta_b,theta_e,samples)';

y1 = zeros(length(theta_interval),1);
y2 = zeros(length(theta_interval),1);

for i = 2:length(theta_interval)
    y1(i) = y1(i-1) + integral(@(theta)be3(theta,z)./al3(theta,z),theta_interval(i-1),theta_interval(i));
end
y1 = exp(-2*y1);

for i = 2:length(theta_interval)
    y2(i) = y2(i-1)+2*integral(@(theta)interp1(theta_interval,y1,theta,'spline').\gam3(theta,z)./al3(theta,z),theta_interval(i-1),theta_interval(i));
end
theta_dot_sqrd_vec = -y1.*y2;

return
