function [Torque1,Torque2] = torque(theta,z,DTh_sqrd)
% Function for torque of joint 1 and 2
% Input "theta" is vector interval for pitch motion or single value.
% Input "z" is vector of control-points for the virtual holonomic
% constraints.

[al1,al2,be1,be2,ga1,ga2] = al_be_ga12(theta,z);

D2theta = (-be3(theta,z).*DTh_sqrd-gam3(theta,z))./al3(theta,z);

Torque1 = al1.*D2theta+be1.*DTh_sqrd(1:end)+ga1;
Torque2 = al2.*D2theta+be2.*DTh_sqrd(1:end)+ga2;
end
