function [al1,al2,be1,be2,ga1,ga2] = al_be_ga12(theta,z)
% Alpha, beta and gamma for joint 1 and 2, to find torques
% Input "theta" is vector interval for pitch motion or single value.
% Input "z" is vector of control-points for the virtual holonomic
% constraints.

global I1x I1y I2x I2y I2z I3x I3y I3z 
global lmx1 lmy1 lmz1 lmx2 lmy2 lmz2 lmx3 lmy3 lmz3 
global l1 l2 l3
global m1 m2 m3 psi

[Phi1,Phi2] = phi(theta,z);
[DPhi1,DPhi2] = Dphi(theta,z);
[D2Phi1,D2Phi2] = D2phi(theta,z);

al1 = (0.2e1.*cos(Phi1).^2.*l1.*lmx1.*m1+I3x+lmy3.^2.*m3+0.2e1.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmx3.*m3+0.2e1.*cos(Phi1+Phi2).^2.*l2.*lmx2.*m2-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmy3.^2.*m3+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.^2.*m3+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.^2.*m3+I2x+I1x-0.2e1.*cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3+0.2e1.*cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+0.2e1.*cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3-0.2e1.*sin(Phi1).*cos(Phi1).*l1.*lmy1.*m1-0.2e1.*sin(Phi1).*cos(Phi1).*lmx1.*lmy1.*m1-0.2e1.*cos(Phi1).*sin(Phi1+Phi2).*l1.*lmy2.*m2+0.2e1.*cos(Phi1).*cos(Phi1+Phi2).*l1.*l2.*m2+0.2e1.*cos(Phi1).*cos(Phi1+Phi2).*l1.*lmx2.*m2-0.2e1.*sin(Phi1+Phi2).*cos(Phi1+Phi2).*l2.*lmy2.*m2-0.2e1.*sin(Phi1+Phi2).*cos(Phi1+Phi2).*lmx2.*lmy2.*m2+0.2e1.*cos(Phi1).*cos(Phi1+Phi2).*l1.*l2.*m3+cos(Phi1+Phi2).^2.*l2.^2.*m3+cos(Phi1).^2.*l1.^2.*m2+cos(Phi1+Phi2).^2.*l2.^2.*m2+cos(Phi1).^2.*lmx1.^2.*m1+cos(Phi1).^2.*l1.^2.*m1+cos(Phi1+Phi2).^2.*lmx2.^2.*m2-0.2e1.*cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmy3.*m3+0.2e1.*cos(Phi1).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*l3.*m3+0.2e1.*cos(Phi1).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmx3.*m3-0.2e1.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmy3.*m3-0.2e1.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.*lmy3.*m3+cos(Phi1).^2.*l1.^2.*m3-cos(Phi1).^2.*lmy1.^2.*m1-cos(Phi1+Phi2).^2.*lmy2.^2.*m2-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*I3x+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*I3y+lmy2.^2.*m2+lmy1.^2.*m1+lmz1.^2.*m1+lmz2.^2.*m2+lmz3.^2.*m3-cos(Phi1+Phi2).^2.*I2x+cos(Phi1+Phi2).^2.*I2y-cos(Phi1).^2.*I1x+cos(Phi1).^2.*I1y).*DPhi1+(-sin(Phi1+Phi2).*l2.*lmz2.*m2-sin(Phi1+Phi2).*l2.*lmz3.*m3-sin(Phi1+Phi2).*lmx2.*lmz2.*m2-cos(Phi1+Phi2).*lmy2.*lmz2.*m2-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmz3.*m3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.*lmz3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.*lmz3.*m3).*DPhi2-m3.*lmz3.*(l3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3).*(-(0.1e1+l1.*sin(Phi1-psi).*DPhi1-l2.*sin(Phi1+Phi2-psi).*(-DPhi1-DPhi2))./l3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.1e1./0.2e1)-DPhi1-DPhi2);
be1 = ((cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*I3x.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*I3y.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+sin(Phi1).^2.*l1.*lmy1.*m1+sin(Phi1).^2.*lmx1.*lmy1.*m1+sin(Phi1+Phi2).^2.*l2.*lmy2.*m2+sin(Phi1+Phi2).^2.*lmx2.*lmy2.*m2-cos(Phi1+Phi2).*l2.^2.*m2.*sin(Phi1+Phi2)-cos(Phi1+Phi2).*l2.^2.*m3.*sin(Phi1+Phi2)-cos(Phi1+Phi2).*lmx2.^2.*m2.*sin(Phi1+Phi2)-cos(Phi1+Phi2).^2.*l2.*lmy2.*m2-cos(Phi1+Phi2).^2.*lmx2.*lmy2.*m2-cos(Phi1).^2.*l1.*lmy1.*m1-cos(Phi1).^2.*lmx1.*lmy1.*m1+cos(Phi1+Phi2).*lmy2.^2.*m2.*sin(Phi1+Phi2)+cos(Phi1).*lmy1.^2.*m1.*sin(Phi1)-cos(Phi1).*l1.^2.*m1.*sin(Phi1)-cos(Phi1).*lmx1.^2.*m1.*sin(Phi1)-cos(Phi1).*l1.^2.*m2.*sin(Phi1)-cos(Phi1).*l1.^2.*m3.*sin(Phi1)-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmy3.*m3+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmy3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.*lmy3.*m3+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.*lmy3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3-sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-sin(Phi1).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmx3.*m3+sin(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmy3.*m3-sin(Phi1).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*l3.*m3-0.2e1.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmx3.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(Phi1).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmy3.*m3-cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*l3.*m3-cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmx3.*m3-cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3-sin(Phi1).*cos(Phi1+Phi2).*l1.*l2.*m2-cos(Phi1).*sin(Phi1+Phi2).*l1.*l2.*m2-sin(Phi1).*cos(Phi1+Phi2).*l1.*lmx2.*m2-cos(Phi1).*sin(Phi1+Phi2).*l1.*lmx2.*m2-sin(Phi1).*cos(Phi1+Phi2).*l1.*l2.*m3-cos(Phi1).*sin(Phi1+Phi2).*l1.*l2.*m3-cos(Phi1).*cos(Phi1+Phi2).*l1.*lmy2.*m2+sin(Phi1).*sin(Phi1+Phi2).*l1.*lmy2.*m2-0.2e1.*cos(Phi1+Phi2).*l2.*lmx2.*m2.*sin(Phi1+Phi2)-0.2e1.*cos(Phi1).*l1.*lmx1.*m1.*sin(Phi1)+cos(Phi1).*I1x.*sin(Phi1)-sin(Phi1).*I1y.*cos(Phi1)+cos(Phi1+Phi2).*I2x.*sin(Phi1+Phi2)-sin(Phi1+Phi2).*I2y.*cos(Phi1+Phi2)).*DPhi1+(cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*I3x.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*I3y.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+sin(Phi1+Phi2).^2.*l2.*lmy2.*m2+sin(Phi1+Phi2).^2.*lmx2.*lmy2.*m2-cos(Phi1+Phi2).*l2.^2.*m2.*sin(Phi1+Phi2)-cos(Phi1+Phi2).*l2.^2.*m3.*sin(Phi1+Phi2)-cos(Phi1+Phi2).*lmx2.^2.*m2.*sin(Phi1+Phi2)-cos(Phi1+Phi2).^2.*l2.*lmy2.*m2-cos(Phi1+Phi2).^2.*lmx2.*lmy2.*m2+cos(Phi1+Phi2).*lmy2.^2.*m2.*sin(Phi1+Phi2)-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmy3.*m3+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmy3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.*lmy3.*m3+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.*lmy3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3-sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-0.2e1.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmx3.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(Phi1).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmy3.*m3-cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*l3.*m3-cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmx3.*m3-cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3-cos(Phi1).*sin(Phi1+Phi2).*l1.*l2.*m2-cos(Phi1).*sin(Phi1+Phi2).*l1.*lmx2.*m2-cos(Phi1).*sin(Phi1+Phi2).*l1.*l2.*m3-cos(Phi1).*cos(Phi1+Phi2).*l1.*lmy2.*m2-0.2e1.*cos(Phi1+Phi2).*l2.*lmx2.*m2.*sin(Phi1+Phi2)+cos(Phi1+Phi2).*I2x.*sin(Phi1+Phi2)-sin(Phi1+Phi2).*I2y.*cos(Phi1+Phi2)).*DPhi2+(-0.2e1.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmx3.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*I3x.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*I3y.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(Phi1).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmy3.*m3-cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*l3.*m3-cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmx3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmy3.*m3+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmy3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.*lmy3.*m3+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.*lmy3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3).*(-(0.1e1+l1.*sin(Phi1-psi).*DPhi1-l2.*sin(Phi1+Phi2-psi).*(-DPhi1-DPhi2))./l3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.1e1./0.2e1)-DPhi1-DPhi2)).*DPhi1+((cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*I3x.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*I3y.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+sin(Phi1+Phi2).^2.*l2.*lmy2.*m2+sin(Phi1+Phi2).^2.*lmx2.*lmy2.*m2-cos(Phi1+Phi2).*l2.^2.*m2.*sin(Phi1+Phi2)-cos(Phi1+Phi2).*l2.^2.*m3.*sin(Phi1+Phi2)-cos(Phi1+Phi2).*lmx2.^2.*m2.*sin(Phi1+Phi2)-cos(Phi1+Phi2).^2.*l2.*lmy2.*m2-cos(Phi1+Phi2).^2.*lmx2.*lmy2.*m2+cos(Phi1+Phi2).*lmy2.^2.*m2.*sin(Phi1+Phi2)-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmy3.*m3+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmy3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.*lmy3.*m3+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.*lmy3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3-sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-0.2e1.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmx3.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(Phi1).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmy3.*m3-cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*l3.*m3-cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmx3.*m3-cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3-cos(Phi1).*sin(Phi1+Phi2).*l1.*l2.*m2-cos(Phi1).*sin(Phi1+Phi2).*l1.*lmx2.*m2-cos(Phi1).*sin(Phi1+Phi2).*l1.*l2.*m3-cos(Phi1).*cos(Phi1+Phi2).*l1.*lmy2.*m2-0.2e1.*cos(Phi1+Phi2).*l2.*lmx2.*m2.*sin(Phi1+Phi2)+cos(Phi1+Phi2).*I2x.*sin(Phi1+Phi2)-sin(Phi1+Phi2).*I2y.*cos(Phi1+Phi2)).*DPhi1+(-cos(Phi1+Phi2).*l2.*lmz2.*m2-cos(Phi1+Phi2).*l2.*lmz3.*m3-cos(Phi1+Phi2).*lmx2.*lmz2.*m2+sin(Phi1+Phi2).*lmy2.*lmz2.*m2-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmz3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.*lmz3.*m3+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.*lmz3.*m3).*DPhi2+(-m3.*lmz3.*(cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3+l3.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi))./0.2e1-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmz3.*m3./0.2e1-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.*lmz3.*m3./0.2e1+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.*lmz3.*m3./0.2e1).*(-(0.1e1+l1.*sin(Phi1-psi).*DPhi1-l2.*sin(Phi1+Phi2-psi).*(-DPhi1-DPhi2))./l3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.1e1./0.2e1)-DPhi1-DPhi2)).*DPhi2+((-0.2e1.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmx3.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*I3x.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*I3y.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(Phi1).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmy3.*m3-cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*l3.*m3-cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmx3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmy3.*m3+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmy3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.*lmy3.*m3+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.*lmy3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3).*DPhi1+(-m3.*lmz3.*(cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3+l3.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi))./0.2e1-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmz3.*m3./0.2e1-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.*lmz3.*m3./0.2e1+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.*lmz3.*m3./0.2e1).*DPhi2-m3.*lmz3.*(cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3+l3.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)).*(-(0.1e1+l1.*sin(Phi1-psi).*DPhi1-l2.*sin(Phi1+Phi2-psi).*(-DPhi1-DPhi2))./l3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.1e1./0.2e1)-DPhi1-DPhi2)).*(-(0.1e1+l1.*sin(Phi1-psi).*DPhi1-l2.*sin(Phi1+Phi2-psi).*(-DPhi1-DPhi2))./l3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.1e1./0.2e1)-DPhi1-DPhi2)+(0.2e1.*cos(Phi1).^2.*l1.*lmx1.*m1+I3x+lmy3.^2.*m3+0.2e1.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmx3.*m3+0.2e1.*cos(Phi1+Phi2).^2.*l2.*lmx2.*m2-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmy3.^2.*m3+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.^2.*m3+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.^2.*m3+I2x+I1x-0.2e1.*cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3+0.2e1.*cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+0.2e1.*cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3-0.2e1.*sin(Phi1).*cos(Phi1).*l1.*lmy1.*m1-0.2e1.*sin(Phi1).*cos(Phi1).*lmx1.*lmy1.*m1-0.2e1.*cos(Phi1).*sin(Phi1+Phi2).*l1.*lmy2.*m2+0.2e1.*cos(Phi1).*cos(Phi1+Phi2).*l1.*l2.*m2+0.2e1.*cos(Phi1).*cos(Phi1+Phi2).*l1.*lmx2.*m2-0.2e1.*sin(Phi1+Phi2).*cos(Phi1+Phi2).*l2.*lmy2.*m2-0.2e1.*sin(Phi1+Phi2).*cos(Phi1+Phi2).*lmx2.*lmy2.*m2+0.2e1.*cos(Phi1).*cos(Phi1+Phi2).*l1.*l2.*m3+cos(Phi1+Phi2).^2.*l2.^2.*m3+cos(Phi1).^2.*l1.^2.*m2+cos(Phi1+Phi2).^2.*l2.^2.*m2+cos(Phi1).^2.*lmx1.^2.*m1+cos(Phi1).^2.*l1.^2.*m1+cos(Phi1+Phi2).^2.*lmx2.^2.*m2-0.2e1.*cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmy3.*m3+0.2e1.*cos(Phi1).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*l3.*m3+0.2e1.*cos(Phi1).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmx3.*m3-0.2e1.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmy3.*m3-0.2e1.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.*lmy3.*m3+cos(Phi1).^2.*l1.^2.*m3-cos(Phi1).^2.*lmy1.^2.*m1-cos(Phi1+Phi2).^2.*lmy2.^2.*m2-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*I3x+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*I3y+lmy2.^2.*m2+lmy1.^2.*m1+lmz1.^2.*m1+lmz2.^2.*m2+lmz3.^2.*m3-cos(Phi1+Phi2).^2.*I2x+cos(Phi1+Phi2).^2.*I2y-cos(Phi1).^2.*I1x+cos(Phi1).^2.*I1y).*D2Phi1+(-sin(Phi1+Phi2).*l2.*lmz2.*m2-sin(Phi1+Phi2).*l2.*lmz3.*m3-sin(Phi1+Phi2).*lmx2.*lmz2.*m2-cos(Phi1+Phi2).*lmy2.*lmz2.*m2-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmz3.*m3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.*lmz3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.*lmz3.*m3).*D2Phi2-m3.*lmz3.*(l3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3).*(-(l1.*cos(Phi1-psi).*DPhi1.^2+l1.*sin(Phi1-psi).*D2Phi1+l2.*cos(Phi1+Phi2-psi).*(-DPhi1-DPhi2).^2-l2.*sin(Phi1+Phi2-psi).*(-D2Phi1-D2Phi2))./l3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.1e1./0.2e1)-(0.1e1+l1.*sin(Phi1-psi).*DPhi1-l2.*sin(Phi1+Phi2-psi).*(-DPhi1-DPhi2)).^2./l3.^3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.3e1./0.2e1).*(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))-D2Phi1-D2Phi2);
ga1 = 0.981e1.*m1.*cos(Phi1).*lmx1-0.981e1.*m1.*sin(Phi1).*lmy1+0.981e1.*m1.*l1.*cos(Phi1)+0.981e1.*m2.*cos(Phi1+Phi2).*lmx2-0.981e1.*m2.*sin(Phi1+Phi2).*lmy2+0.981e1.*m2.*l2.*cos(Phi1+Phi2)+0.981e1.*m2.*l1.*cos(Phi1)-0.981e1.*m3.*cos(-acos((l1.*cos(Phi1-psi)+l2.*cos(Phi1+Phi2-psi)-theta)./l3)+psi).*lmx3+0.981e1.*m3.*sin(-acos((l1.*cos(Phi1-psi)+l2.*cos(Phi1+Phi2-psi)-theta)./l3)+psi).*lmy3-0.981e1.*m3.*l3.*cos(-acos((l1.*cos(Phi1-psi)+l2.*cos(Phi1+Phi2-psi)-theta)./l3)+psi)+0.981e1.*m3.*l2.*cos(Phi1+Phi2)+0.981e1.*m3.*l1.*cos(Phi1);

al2 = (-sin(Phi1+Phi2).*l2.*lmz2.*m2-sin(Phi1+Phi2).*l2.*lmz3.*m3-sin(Phi1+Phi2).*lmx2.*lmz2.*m2-cos(Phi1+Phi2).*lmy2.*lmz2.*m2-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmz3.*m3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.*lmz3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.*lmz3.*m3).*DPhi1+(0.2e1.*sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+0.2e1.*sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+0.2e1.*sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-0.2e1.*cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3+0.2e1.*cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+0.2e1.*cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+l2.^2.*m2+l2.^2.*m3+0.2e1.*l2.*lmx2.*m2+l3.^2.*m3+0.2e1.*l3.*lmx3.*m3+lmx2.^2.*m2+lmx3.^2.*m3+lmy2.^2.*m2+lmy3.^2.*m3+I2z+I3z).*DPhi2+(sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3+cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+l3.^2.*m3+0.2e1.*l3.*lmx3.*m3+lmx3.^2.*m3+lmy3.^2.*m3+I3z).*(-(0.1e1+l1.*sin(Phi1-psi).*DPhi1-l2.*sin(Phi1+Phi2-psi).*(-DPhi1-DPhi2))./l3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.1e1./0.2e1)-DPhi1-DPhi2);
be2 = ((-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*I3x.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*I3y.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-sin(Phi1+Phi2).^2.*l2.*lmy2.*m2-sin(Phi1+Phi2).^2.*lmx2.*lmy2.*m2+cos(Phi1+Phi2).*l2.^2.*m2.*sin(Phi1+Phi2)+cos(Phi1+Phi2).*l2.^2.*m3.*sin(Phi1+Phi2)+cos(Phi1+Phi2).*lmx2.^2.*m2.*sin(Phi1+Phi2)+cos(Phi1+Phi2).^2.*l2.*lmy2.*m2+cos(Phi1+Phi2).^2.*lmx2.*lmy2.*m2-cos(Phi1+Phi2).*lmy2.^2.*m2.*sin(Phi1+Phi2)-cos(Phi1+Phi2).*l2.*lmz2.*m2-cos(Phi1+Phi2).*l2.*lmz3.*m3-cos(Phi1+Phi2).*lmx2.*lmz2.*m2+sin(Phi1+Phi2).*lmy2.*lmz2.*m2+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmy3.*m3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmy3.*m3+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.*lmy3.*m3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.*lmy3.*m3+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmz3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.*lmz3.*m3+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.*lmz3.*m3+sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3-sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3+0.2e1.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmx3.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+cos(Phi1).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmy3.*m3+cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*l3.*m3+cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmx3.*m3+cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3+cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+cos(Phi1).*sin(Phi1+Phi2).*l1.*l2.*m2+cos(Phi1).*sin(Phi1+Phi2).*l1.*lmx2.*m2+cos(Phi1).*sin(Phi1+Phi2).*l1.*l2.*m3+cos(Phi1).*cos(Phi1+Phi2).*l1.*lmy2.*m2+0.2e1.*cos(Phi1+Phi2).*l2.*lmx2.*m2.*sin(Phi1+Phi2)-cos(Phi1+Phi2).*I2x.*sin(Phi1+Phi2)+sin(Phi1+Phi2).*I2y.*cos(Phi1+Phi2)).*DPhi1+(-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmz3.*m3./0.2e1-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.*lmz3.*m3./0.2e1+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.*lmz3.*m3./0.2e1+m3.*lmz3.*(cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3+l3.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi))./0.2e1).*(-(0.1e1+l1.*sin(Phi1-psi).*DPhi1-l2.*sin(Phi1+Phi2-psi).*(-DPhi1-DPhi2))./l3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.1e1./0.2e1)-DPhi1-DPhi2)).*DPhi1+(sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3-sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3).*(-(0.1e1+l1.*sin(Phi1-psi).*DPhi1-l2.*sin(Phi1+Phi2-psi).*(-DPhi1-DPhi2))./l3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.1e1./0.2e1)-DPhi1-DPhi2).*DPhi2+((-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmz3.*m3./0.2e1-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.*lmz3.*m3./0.2e1+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.*lmz3.*m3./0.2e1+m3.*lmz3.*(cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3+l3.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi))./0.2e1).*DPhi1+(sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3-sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3).*DPhi2+(sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3-sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3).*(-(0.1e1+l1.*sin(Phi1-psi).*DPhi1-l2.*sin(Phi1+Phi2-psi).*(-DPhi1-DPhi2))./l3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.1e1./0.2e1)-DPhi1-DPhi2)).*(-(0.1e1+l1.*sin(Phi1-psi).*DPhi1-l2.*sin(Phi1+Phi2-psi).*(-DPhi1-DPhi2))./l3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.1e1./0.2e1)-DPhi1-DPhi2)+(-sin(Phi1+Phi2).*l2.*lmz2.*m2-sin(Phi1+Phi2).*l2.*lmz3.*m3-sin(Phi1+Phi2).*lmx2.*lmz2.*m2-cos(Phi1+Phi2).*lmy2.*lmz2.*m2-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmz3.*m3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.*lmz3.*m3-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.*lmz3.*m3).*D2Phi1+(0.2e1.*sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+0.2e1.*sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+0.2e1.*sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-0.2e1.*cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3+0.2e1.*cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+0.2e1.*cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+l2.^2.*m2+l2.^2.*m3+0.2e1.*l2.*lmx2.*m2+l3.^2.*m3+0.2e1.*l3.*lmx3.*m3+lmx2.^2.*m2+lmx3.^2.*m3+lmy2.^2.*m2+lmy3.^2.*m3+I2z+I3z).*D2Phi2+(sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3+cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+l3.^2.*m3+0.2e1.*l3.*lmx3.*m3+lmx3.^2.*m3+lmy3.^2.*m3+I3z).*(-(l1.*cos(Phi1-psi).*DPhi1.^2+l1.*sin(Phi1-psi).*D2Phi1+l2.*cos(Phi1+Phi2-psi).*(-DPhi1-DPhi2).^2-l2.*sin(Phi1+Phi2-psi).*(-D2Phi1-D2Phi2))./l3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.1e1./0.2e1)-(0.1e1+l1.*sin(Phi1-psi).*DPhi1-l2.*sin(Phi1+Phi2-psi).*(-DPhi1-DPhi2)).^2./l3.^3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.3e1./0.2e1).*(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))-D2Phi1-D2Phi2);
ga2 = 0.981e1.*m2.*cos(Phi1+Phi2).*lmx2-0.981e1.*m2.*sin(Phi1+Phi2).*lmy2+0.981e1.*m2.*l2.*cos(Phi1+Phi2)-0.981e1.*m3.*cos(-acos((l1.*cos(Phi1-psi)+l2.*cos(Phi1+Phi2-psi)-theta)./l3)+psi).*lmx3+0.981e1.*m3.*sin(-acos((l1.*cos(Phi1-psi)+l2.*cos(Phi1+Phi2-psi)-theta)./l3)+psi).*lmy3-0.981e1.*m3.*l3.*cos(-acos((l1.*cos(Phi1-psi)+l2.*cos(Phi1+Phi2-psi)-theta)./l3)+psi)+0.981e1.*m3.*l2.*cos(Phi1+Phi2);
