function beta = be3(theta,z)
% Function for making beta of the reduced dynamics.
% Input "theta" is vector interval for pitch motion or single value.
% Input "z" is vector of control-points for the virtual holonomic
% constraints.

global I3x I3y I3z 
global lmx3 lmy3 lmz3 
global l1 l2 l3
global m3 psi

[Phi1,Phi2] = phi(theta,z);
[DPhi1,DPhi2] = Dphi(theta,z);
[D2Phi1,D2Phi2] = D2phi(theta,z);

beta = ((-m3.*lmz3.*(cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3+l3.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi))+0.2e1.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmx3.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*I3x.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*I3y.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+cos(Phi1).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmy3.*m3+cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*l3.*m3+cos(Phi1).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l1.*lmx3.*m3+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmy3.*m3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*l3.*lmy3.*m3+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.*lmy3.*m3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).^2.*lmx3.*lmy3.*m3+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)-cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.^2.*m3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3+cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3).*DPhi1+(-m3.*lmz3.*(cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3+l3.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi))./0.2e1+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmz3.*m3./0.2e1+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.*lmz3.*m3./0.2e1-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.*lmz3.*m3./0.2e1).*DPhi2).*DPhi1+((-m3.*lmz3.*(cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3+l3.*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi))./0.2e1+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l3.*lmz3.*m3./0.2e1+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3.*lmz3.*m3./0.2e1-sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3.*lmz3.*m3./0.2e1).*DPhi1+(-sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3-sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3+cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3+cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3).*DPhi2).*DPhi2-m3.*lmz3.*(l3.*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi)+sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmx3+cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*lmy3).*D2Phi1+(sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+sin(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+sin(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3-cos(Phi1+Phi2).*sin(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmy3.*m3+cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*l3.*m3+cos(Phi1+Phi2).*cos(acos((theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))./l3)+psi).*l2.*lmx3.*m3+l3.^2.*m3+0.2e1.*l3.*lmx3.*m3+lmx3.^2.*m3+lmy3.^2.*m3+I3z).*D2Phi2+(l3.^2.*m3+0.2e1.*l3.*lmx3.*m3+lmx3.^2.*m3+lmy3.^2.*m3+I3z).*(-(l1.*cos(Phi1-psi).*DPhi1.^2+l1.*sin(Phi1-psi).*D2Phi1+l2.*cos(Phi1+Phi2-psi).*(-DPhi1-DPhi2).^2-l2.*sin(Phi1+Phi2-psi).*(-D2Phi1-D2Phi2))./l3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.1e1./0.2e1)-(0.1e1+l1.*sin(Phi1-psi).*DPhi1-l2.*sin(Phi1+Phi2-psi).*(-DPhi1-DPhi2)).^2./l3.^3.*(0.1e1-(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi)).^2./l3.^2).^(-0.3e1./0.2e1).*(theta-l1.*cos(Phi1-psi)-l2.*cos(Phi1+Phi2-psi))-D2Phi1-D2Phi2);
